# Ceridian Dayforce — HRIS API: gotchas

> Canonical URL: https://developers.apideck.com/apis/hris/ceridian-dayforce/gotchas

## GET /hris/employees

The Ceridian Dayforce "List Employees" endpoint only returns employee IDs by default. To get full employee details, use the "Get Employee" endpoint. For virtual webhook events on Ceridian Dayforce, we monitor the "List Employees" response, which has a very small set of fields in comparison to the "Get Employee" response. This is the reason why we only support `hris.employee.created` events for this connector.

## GET /hris/employees

Ceridian Dayforce does not expose a total record count in list responses. `meta.total_count` will not appear.

## GET /hris/departments

Ceridian Dayforce does not expose a total record count in list responses. `meta.total_count` will not appear.

## GET /hris/payrolls/employees/{employee_id}

Ceridian Dayforce does not expose a total record count in list responses. `meta.total_count` will not appear.

## GET /hris/schedules/employees/{employee_id}

Ceridian Dayforce does not expose a total record count in list responses. `meta.total_count` will not appear.


[API reference](https://developers.apideck.com/apis/hris/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/hris/coverage)
